CVE-2022-36313

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2022-36313
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2022-36313.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2022-36313
Aliases
Published
2022-07-21T16:15:09Z
Modified
2024-05-30T03:47:44.124711Z
Severity
  • 5.5 (Medium) CVSS_V3 - CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

An issue was discovered in the file-type package before 16.5.4 and 17.x before 17.1.3 for Node.js. A malformed MKV file could cause the file type detector to get caught in an infinite loop. This would make the application become unresponsive and could be used to cause a DoS attack.

References

Affected packages

Git / github.com/sindresorhus/file-type

Affected ranges

Type
GIT
Repo
https://github.com/sindresorhus/file-type
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

0.*

0.1.1
0.2.0
0.3.0

2.*

2.6.0
2.7.0

v0.*

v0.1.0

v1.*

v1.0.0
v1.0.1
v1.0.2
v1.1.0
v1.2.0

v10.*

v10.0.0
v10.1.0
v10.10.0
v10.11.0
v10.2.0
v10.3.0
v10.4.0
v10.5.0
v10.6.0
v10.7.0
v10.7.1
v10.8.0
v10.9.0

v11.*

v11.0.0
v11.1.0

v12.*

v12.0.0
v12.0.1
v12.1.0
v12.2.0
v12.3.0
v12.3.1
v12.4.0
v12.4.1
v12.4.2

v13.*

v13.0.0
v13.0.1
v13.0.2
v13.0.3
v13.1.0
v13.1.1
v13.1.2

v14.*

v14.0.0
v14.1.0
v14.1.1
v14.1.2
v14.1.3
v14.1.4
v14.2.0
v14.3.0
v14.4.0
v14.5.0
v14.6.0
v14.6.1
v14.6.2
v14.7.0
v14.7.1

v15.*

v15.0.0
v15.0.1

v16.*

v16.0.0
v16.0.1
v16.1.0
v16.2.0
v16.3.0
v16.4.0
v16.5.0
v16.5.1
v16.5.2
v16.5.3

v2.*

v2.0.0
v2.0.1
v2.0.2
v2.0.3
v2.0.4
v2.1.0
v2.10.0
v2.10.1
v2.10.2
v2.11.0
v2.12.0
v2.2.0
v2.3.0
v2.4.0
v2.5.0
v2.8.0
v2.9.0

v3.*

v3.0.0
v3.1.0
v3.1.1
v3.2.0
v3.3.0
v3.3.1
v3.4.0
v3.5.0
v3.6.0
v3.7.0
v3.8.0
v3.9.0

v4.*

v4.0.0
v4.1.0
v4.2.0
v4.3.0
v4.4.0

v5.*

v5.0.0
v5.1.0
v5.1.1
v5.2.0

v6.*

v6.0.0
v6.1.0
v6.2.0

v7.*

v7.0.0
v7.0.1
v7.1.0
v7.2.0
v7.3.0
v7.4.0
v7.5.0
v7.6.0
v7.7.0
v7.7.1

v8.*

v8.0.0
v8.1.0

v9.*

v9.0.0